# C++ keywords: default

From cppreference.com
< cpp‎ | keyword

### Usage

- `switch` statement: as the declaration of the default case label

- explicitly-defaulted function definition: as an explicit instruction to the compiler to generate special member function or a comparison operator (since C++20) for a class.

(since C++11)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/default&oldid=110458"